org.apache.felix.gogo.command

## Class Inspect

- java.lang.Object
- - org.apache.felix.gogo.command.Inspect

    public class Inspect
    extends Object

### Field Summary

Fields
`static String` `CAPABILITY`
`static String` `NONSTANDARD_SERVICE_NAMESPACE`
`static String` `REQUIREMENT`

### Constructor Summary

Constructors
Constructor and Description
`Inspect(org.osgi.framework.BundleContext bc)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `inspect(String direction, String namespace, org.osgi.framework.Bundle[] bundles)`
`static String` `printCapabilities(org.osgi.framework.BundleContext bc, List<String> namespace, org.osgi.framework.Bundle[] bundles)`
`static String` `printRequirements(org.osgi.framework.BundleContext bc, List<String> namespace, org.osgi.framework.Bundle[] bundles)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NONSTANDARD_SERVICE_NAMESPACE

    public static final String NONSTANDARD_SERVICE_NAMESPACE

See Also:
  Constant Field Values

#### CAPABILITY

    public static final String CAPABILITY

See Also:
  Constant Field Values

#### REQUIREMENT

    public static final String REQUIREMENT

See Also:
  Constant Field Values

### Constructor Detail

#### Inspect

    public Inspect(org.osgi.framework.BundleContext bc)

### Method Detail

#### inspect

    public String inspect(String direction,
                          String namespace,
                          org.osgi.framework.Bundle[] bundles)

#### printCapabilities

    public static String printCapabilities(org.osgi.framework.BundleContext bc,
                                           List<String> namespace,
                                           org.osgi.framework.Bundle[] bundles)

#### printRequirements

    public static String printRequirements(org.osgi.framework.BundleContext bc,
                                           List<String> namespace,
                                           org.osgi.framework.Bundle[] bundles)